Bug 173086 - kudesigner (kugar designer) crashes on startup
kudesigner (kugar designer) crashes on startup
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-11-13 17:57 EST by A. Folger
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-22 05:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 117263 None None None Never

  None (edit)
Description A. Folger 2005-11-13 17:57:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When starting kudesigner, nothing happens.

Could this be the same problem as a similar bug in kdevelop (http://bugs.kde.org/show_bug.cgi?id=114393)? The bug in kdevelop prevents that program from starting because it looks for a picture file for the splash screen and doesn't find it where expected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. type kudesigner in konsole

Actual Results:  nothing

Expected Results:  kudesigner window, file selection window or at least splash screen should have appeared.

Additional info:
Comment 1 A. Folger 2005-11-29 11:10:31 EST
I tested this on another machine with FC4 for i386 with the same [lack of] 
Comment 2 Andreas Bierfert 2005-11-29 11:14:49 EST
Yes same here... I will wait for someone upstream to comment on this ...
Comment 3 Andreas Bierfert 2006-02-04 08:00:36 EST
same with 1.5 beta1...

if you wnt to try it out for fc4 rpms can be found here:
Comment 4 Rex Dieter 2006-02-28 16:53:24 EST
I don't think this is related to the kdevelop report.  strace'ing the kudesigner
process isn't very helpful either. ??

I'd file a report upstream against koffice/kudesigner to see what they have to say.
Comment 5 Andreas Bierfert 2006-02-28 16:57:27 EST
Already did... see external BZ ref below :)
Comment 6 Andreas Bierfert 2006-03-17 05:25:08 EST
same with 1.4.95...
Comment 7 Andreas Bierfert 2006-04-03 04:48:49 EDT
same with 1.5.0-rc1
Comment 8 Rex Dieter 2006-04-06 11:48:01 EDT
Had a hunch today and found the cause (I'm using koffice-1.5.0 final),

rename /usr/share/applications/fedora-kudesigner.desktop
to /usr/share/applications/kudesigner.desktop
and now it works (for me).  I think it has something to do with kudesigner's 
(as well as many koffice components) extensive use of kparts and their def's 
in the .desktop file.

Might not be a bad idea to change all the desktop-file-install's to use
--vendor="" instead of --vendor="fedora".  Defining the vendor here is only 
really warranted when there isn't one already clear/defined anyway. 
Comment 9 Andreas Bierfert 2006-04-07 02:45:04 EDT
Ah great news, altough I find this _very_ strange. I will fix it with the 1.5.0
final push (could you send me the sources?!)

Hm, for the vendor part => don't know because the rpm os provided by fedora and
I got the impression that koffice folks want bug ect to go here... and this
would make it more clear that the users koffice is coming from fedora...

Note You need to log in before you can comment on or make changes to this bug.